package com.changda.gjjapp.db.entity;
import java.util.*;
import com.fasterxml.jackson.annotation.JsonProperty;
public class PM_SYSTEMUSER
{
 
 // 用户ID
 @JsonProperty("USERID")
 private String userid;
 
 // 所属中心
 @JsonProperty("ZJZXDM")
 private String zjzxdm;
 
 // 所属营业网点
 @JsonProperty("YYWDDM")
 private String yywddm;
 
 // 锁号
 @JsonProperty("LOCKCODE")
 private String lockcode;
 
 // 登录名称
 @JsonProperty("LOGNAME")
 private String logname;
 
 // 密码
 @JsonProperty("PASSWORD")
 private String password;
 
 // 锁状态
 @JsonProperty("STATUS")
 private int status;
 
 // 用户类型 01 长达用户 02 系统用户 03 中心系统用户 04 中心用户 05 网点用户 06 单位用户
 @JsonProperty("USERTYPE")
 private String usertype;
 
 // 用户名称
 @JsonProperty("USERNAME")
 private String username;
 
 // 注册日期
 @JsonProperty("REGISTERDATE")
 private Date registerdate;
 
 // 最后登录时间
 @JsonProperty("LASTLOGINTIME")
 private Date lastlogintime;
 
 // 最后登录IP
 @JsonProperty("LASTLOGINIP")
 private String lastloginip;
 
 // 备注
 @JsonProperty("REMARK")
 private String remark;
 
 // 创建时间
 @JsonProperty("CREATETIME")
 private Date createtime;
 
 // 更新时间
 @JsonProperty("UPDATETIME")
 private Date updatetime;
 
 // 数据状态  0 删除 1 正常
 @JsonProperty("DBSTAUTS")
 private int dbstauts;
 
 // 所属单位
 @JsonProperty("DWZH")
 private String dwzh;
 
 // 最近启用日期
 @JsonProperty("LASTSTARTUP")
 private Date laststartup;
 
 // 拼音代码
 @JsonProperty("PYDM")
 private String pydm;
 
 // 性别
 @JsonProperty("XINGBIE")
 private String xingbie;
 
 // 身份证号
 @JsonProperty("SFZH")
 private String sfzh;
 
 // 姓名
 @JsonProperty("XINGMING")
 private String xingming;
 
 // E-MAIL
 @JsonProperty("YOUXIANG")
 private String youxiang;
 
 // 联系电话
 @JsonProperty("LXDH")
 private String lxdh;
 
 // 图片路径
 @JsonProperty("PHOTOPATH")
 private String photopath;
 
 // 指纹特征码
 @JsonProperty("FINGERFEATURE")
 private String fingerfeature;
 
 // 是否系统级财务人员 1是/0否
 @JsonProperty("ISXTCW")
 private int isxtcw;
 
 public String getUSERID()
 {
  return userid;
 }
 
 public void setUSERID(String userid)
 {
  this.userid = userid;
 }
 
 public String getZJZXDM()
 {
  return zjzxdm;
 }
 
 public void setZJZXDM(String zjzxdm)
 {
  this.zjzxdm = zjzxdm;
 }
 
 public String getYYWDDM()
 {
  return yywddm;
 }
 
 public void setYYWDDM(String yywddm)
 {
  this.yywddm = yywddm;
 }
 
 public String getLOCKCODE()
 {
  return lockcode;
 }
 
 public void setLOCKCODE(String lockcode)
 {
  this.lockcode = lockcode;
 }
 
 public String getLOGNAME()
 {
  return logname;
 }
 
 public void setLOGNAME(String logname)
 {
  this.logname = logname;
 }
 
 public String getPASSWORD()
 {
  return password;
 }
 
 public void setPASSWORD(String password)
 {
  this.password = password;
 }
 
 public int getSTATUS()
 {
  return status;
 }
 
 public void setSTATUS(int status)
 {
  this.status = status;
 }
 
 public String getUSERTYPE()
 {
  return usertype;
 }
 
 public void setUSERTYPE(String usertype)
 {
  this.usertype = usertype;
 }
 
 public String getUSERNAME()
 {
  return username;
 }
 
 public void setUSERNAME(String username)
 {
  this.username = username;
 }
 
 public Date getREGISTERDATE()
 {
  return registerdate;
 }
 
 public void setREGISTERDATE(Date registerdate)
 {
  this.registerdate = registerdate;
 }
 
 public Date getLASTLOGINTIME()
 {
  return lastlogintime;
 }
 
 public void setLASTLOGINTIME(Date lastlogintime)
 {
  this.lastlogintime = lastlogintime;
 }
 
 public String getLASTLOGINIP()
 {
  return lastloginip;
 }
 
 public void setLASTLOGINIP(String lastloginip)
 {
  this.lastloginip = lastloginip;
 }
 
 public String getREMARK()
 {
  return remark;
 }
 
 public void setREMARK(String remark)
 {
  this.remark = remark;
 }
 
 public Date getCREATETIME()
 {
  return createtime;
 }
 
 public void setCREATETIME(Date createtime)
 {
  this.createtime = createtime;
 }
 
 public Date getUPDATETIME()
 {
  return updatetime;
 }
 
 public void setUPDATETIME(Date updatetime)
 {
  this.updatetime = updatetime;
 }
 
 public int getDBSTAUTS()
 {
  return dbstauts;
 }
 
 public void setDBSTAUTS(int dbstauts)
 {
  this.dbstauts = dbstauts;
 }
 
 public String getDWZH()
 {
  return dwzh;
 }
 
 public void setDWZH(String dwzh)
 {
  this.dwzh = dwzh;
 }
 
 public Date getLASTSTARTUP()
 {
  return laststartup;
 }
 
 public void setLASTSTARTUP(Date laststartup)
 {
  this.laststartup = laststartup;
 }
 
 public String getPYDM()
 {
  return pydm;
 }
 
 public void setPYDM(String pydm)
 {
  this.pydm = pydm;
 }
 
 public String getXINGBIE()
 {
  return xingbie;
 }
 
 public void setXINGBIE(String xingbie)
 {
  this.xingbie = xingbie;
 }
 
 public String getSFZH()
 {
  return sfzh;
 }
 
 public void setSFZH(String sfzh)
 {
  this.sfzh = sfzh;
 }
 
 public String getXINGMING()
 {
  return xingming;
 }
 
 public void setXINGMING(String xingming)
 {
  this.xingming = xingming;
 }
 
 public String getYOUXIANG()
 {
  return youxiang;
 }
 
 public void setYOUXIANG(String youxiang)
 {
  this.youxiang = youxiang;
 }
 
 public String getLXDH()
 {
  return lxdh;
 }
 
 public void setLXDH(String lxdh)
 {
  this.lxdh = lxdh;
 }
 
 public String getPHOTOPATH()
 {
  return photopath;
 }
 
 public void setPHOTOPATH(String photopath)
 {
  this.photopath = photopath;
 }
 
 public String getFINGERFEATURE()
 {
  return fingerfeature;
 }
 
 public void setFINGERFEATURE(String fingerfeature)
 {
  this.fingerfeature = fingerfeature;
 }
 
 public int getISXTCW()
 {
  return isxtcw;
 }
 
 public void setISXTCW(int isxtcw)
 {
  this.isxtcw = isxtcw;
 }
}

